# Instalando um Pacote Ubuntu Pré-Compilado do Repositório Oficial do NGINX

## Instale os pré-requisitos:

```
sudo apt install curl gnupg2 ca-certificates lsb-release ubuntu-keyring
```

## Importe uma chave de assinatura oficial do nginx para que o apt possa verificar a autenticidade dos pacotes. Baixe a chave:

```
curl https://nginx.org/keys/nginx_signing.key | gpg --dearmor \
| sudo tee /usr/share/keyrings/nginx-archive-keyring.gpg >/dev/null
```

## Verifique se o arquivo baixado contém a chave correta:

```
gpg --dry-run --quiet --no-keyring --import --import-options import-show /usr/share/keyrings/nginx-archive-keyring.gpg
```

## A saída deve conter a impressão digital completa 573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62 da seguinte forma:

```
pub   rsa2048 2011-08-19 [SC] [expires: 2024-06-14]
  573BFD6B3D8FBC641079A6ABABF5BD827BD9BF62
uid                      nginx signing key <signing-key@nginx.com>
```

> Se a impressão digital for diferente, remova o arquivo.

## Para configurar o repositório apt para pacotes nginx estáveis, execute o seguinte comando:

```
echo "deb [signed-by=/usr/share/keyrings/nginx-archive-keyring.gpg] \
http://nginx.org/packages/ubuntu `lsb_release -cs` nginx" \
    | sudo tee /etc/apt/sources.list.d/nginx.list
```

## Configure o pinning do repositório para dar preferência aos nossos pacotes em relação aos fornecidos pela distribuição:

```
echo -e "Package: *\nPin: origin nginx.org\nPin: release o=nginx\nPin-Priority: 900\n" \
    | sudo tee /etc/apt/preferences.d/99nginx
```

## Instale o NGINX Open Source:

```
sudo apt update
sudo apt install nginx
```

## Ativar serviço do Nginx

```
systemctl status nginx.serviceservice
```

## Iniciar serviço

```
service nginx start
```

## Verifique se o NGINX Open Source está em execução:

```
curl -I 127.0.0.1
HTTP/1.1 200 OK
Server: nginx/1.25.1
```