## Instalação do Repo

```
curl -sL https://deb.nodesource.com/setup_18.x | sudo -E bash - 
```
## Instalação do NodeJs
```
sudo apt-get install -y nodejs
```
## Validar instalação
```
node -v
```
## Instalação do npm
```
sudo apt-get install -y npm
```
## Validar instalação
```
npm -v 
```
## Configurar aplicação NodeJS
```
mkdir -p /opt/serverA 
mkdir -p /opt/serverB 
```
## Server A
```
vi /opt/serverA/app.js

//app.js - Servidor A
const http = require('http');
const server = http.createServer((req, res) => {
res.writeHead(200, { 'Content-Type': 'text/plain; charset=utf-8' });
res.end('Este é o servidor A!\n', 'utf-8');
console.log('Este é o servidor A!\n') });
server.listen(3000, () => { console.log('Server A subiu na porta 3000');
});
```

## Server B
```
vi /opt/serverB/app.js
//app.js - Servidor B
const http = require('http');
const server = http.createServer((req, res) => {
res.writeHead(200, { 'Content-Type': 'text/plain; charset=utf-8' });
res.end('Este é o servidor B!\n', 'utf-8');
console.log('Este é o servidor B!\n') });
server.listen(3001, () => { console.log('Server A subiu na porta 3001');
});
```

## Startup dos serviços

```
nohup node /opt/serverA/app.js & 
nohup node /opt/serverB/app.js &
```

## Teste de acesso a aplicação

```
curl http://localhost:3000
curl http://localhost:3001
```