# O conector, como o nome sugere, vincula a biblioteca Libmodsecurity ao servidor web Nginx

## Para baixar o conector ModSecurity, clone-o do repositório GitHub da seguinte maneira

```
git clone --depth 1 https://github.com/SpiderLabs/ModSecurity-nginx.git /usr/local/src/ModSecurity-nginx/
```

## Baixar o fonte da versão do Nginx
```
#RECUPERAR A VERSAO
mkdir /usr/local/src/nginx
nginx -v
#Efetuar download
cd /usr/local/src/nginx
wget https://nginx.org/download/nginx-1.24.0.tar.gz
#descompactar codigo fonte
tar -xvf nginx-1.24.0.tar.gz
mv nginx-1.24.0 nginx
mv nginx-1.24.0/* .
```

## Acesse o diretório do código fonte do Nginx:
```
cd /usr/local/src/nginx
```


## Execute o make do módulo:
```
./configure --add-dynamic-module=/usr/local/src/ModSecurity-nginx --with-compat
make
make install
```
sudo make modules
```
Copie o arquivo .so do módulo recém compilado para o diretório de módulos do Nginx:
```
cp objs/ngx_http_modsecurity_module.so /etc/nginx/modules/

```

## Efetuar carga do modulo no nginx.conf

```
#/etc/nginx/nginx.conf
load_module modules/ngx_http_modsecurity_module.so;
```

## Ligar ModSecurity

```
## Adicionar na seção http
modsecurity on; 
modsecurity_rules_file /etc/nginx/modsec/main.conf;
```


## Configurar diretorio de configuracoes do nginx
```
mkdir /etc/nginx/modsec/
cp /usr/local/src/ModSecurity/modsecurity.conf-recommended /etc/nginx/modsec/modsecurity.conf
```

## Editar mod-security config - ativar check de rules
```
/etc/nginx/modsec/modsecurity.conf
# Localize a entrada:
SecRuleEngine DetectionOnly
#Substitua por:
SecRuleEngine On
```

## Criar arquivo /etc/nginx/modsec/main.conf e adicionar include do modsecurity

```
Include /etc/nginx/modsec/modsecurity.conf
```

## copiar arquivos de unicode
```
cd /etc/nginx/modsec/
wget https://raw.githubusercontent.com/SpiderLabs/ModSecurity/v3/master/unicode.mapping
```

## Copiar regras do OWASP

```
wget https://github.com/coreruleset/coreruleset/archive/refs/tags/v3.3.5.tar.gz
mv /etc/nginx/modsec/coreruleset-3.3.5/crs-setup.conf.example /etc/nginx/modsec/coreruleset-3.3.5/crs-setup.conf
```

## Editar arquivo /etc/nginx/modsec/main.conf e adicionar os seguintes includes:

```
Include /etc/nginx/modsec/coreruleset-3.3.5/crs-setup.conf 
Include /etc/nginx/modsec/coreruleset-3.3.5/rules/*.conf
```
## Reiniciar o servico
```
ntr
```

## Testar funcionamento do mod security
```
http://meusite.com/?exec=/bin/bash
```
